---
 protocols/jabber/libjingle/talk/session/phone/linphonemediaengine.cc |    2 --
 protocols/jabber/libjingle/talk/session/phone/linphonemediaengine.h  |    2 --
 2 files changed, 4 deletions(-)

--- a/protocols/jabber/libjingle/talk/session/phone/linphonemediaengine.cc
+++ b/protocols/jabber/libjingle/talk/session/phone/linphonemediaengine.cc
@@ -34,11 +34,9 @@
 #ifdef HAVE_LINPHONE
 
 // LinphoneMediaEngine is a Linphone implementation of MediaEngine
-extern "C" {
 #include <mediastreamer2/mediastream.h>
 #include <mediastreamer2/mssndcard.h>
 #include <mediastreamer2/msfilter.h>
-}
 
 #include "talk/session/phone/linphonemediaengine.h"
 
--- a/protocols/jabber/libjingle/talk/session/phone/linphonemediaengine.h
+++ b/protocols/jabber/libjingle/talk/session/phone/linphonemediaengine.h
@@ -35,9 +35,7 @@
 #include <string>
 #include <vector>
 
-extern "C" {
 #include <mediastreamer2/mediastream.h>
-}
 
 #include "talk/base/scoped_ptr.h"
 #include "talk/session/phone/codec.h"
